summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-12-04 16:42:49 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-12-04 16:42:49 +0000
commita0fb06485c86acb5f6f8e584d39b163b066cdcd4 (patch)
tree3a7fa8d20bf6d0a01c380aed5f3da9eefcec68d9
parentAdding Makefile. (diff)
downloadroot-shell-a0fb06485c86acb5f6f8e584d39b163b066cdcd4.tar.xz
root-shell-a0fb06485c86acb5f6f8e584d39b163b066cdcd4.zip
Adding bin.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xbin/root-shell25
1 files changed, 25 insertions, 0 deletions
diff --git a/bin/root-shell b/bin/root-shell
new file mode 100755
index 0000000..6659831
--- /dev/null
+++ b/bin/root-shell
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Open Infrastructure: root-shell
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+#set -e
+
+echo "Starting root shell..."
+exec /bin/sh